package com.yifu.cloud.plus.v1.yifu.insurances.mapper.insurances;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.yifu.cloud.plus.v1.yifu.insurances.entity.TInsuranceUnpurchaseApply;
import com.yifu.cloud.plus.v1.yifu.insurances.vo.TInsuranceUnpurchaseApplySearchVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 含风险项目不购买申请表
 *
 * @author huych
 * @date 2025-01-10 11:24:38
 */
@Mapper
public interface TInsuranceUnpurchaseApplyMapper extends BaseMapper<TInsuranceUnpurchaseApply> {
    /**
     * 含风险项目不购买申请表简单分页查询
     * @param tInsuranceUnpurchaseApply 含风险项目不购买申请表
     * @return
     */
    IPage<TInsuranceUnpurchaseApply> getTInsuranceUnpurchaseApplyPage(Page<TInsuranceUnpurchaseApply> page
			, @Param("tInsuranceUnpurchaseApply") TInsuranceUnpurchaseApplySearchVo tInsuranceUnpurchaseApply);

	/**
	 * 含风险项目不购买申请表简单分页查询
	 * @param tInsuranceUnpurchaseApply 含风险项目不购买申请表
	 * @return
	 */
	long getTInsuranceUnpurchaseApplyExportCount(@Param("tInsuranceUnpurchaseApply") TInsuranceUnpurchaseApplySearchVo tInsuranceUnpurchaseApply);

	/**
	 * 含风险项目不购买申请表简单导出查询
	 * @param tInsuranceUnpurchaseApply 含风险项目不购买申请表
	 * @return
	 */
	List<TInsuranceUnpurchaseApply> getTInsuranceUnpurchaseApplyExportList(@Param("tInsuranceUnpurchaseApply") TInsuranceUnpurchaseApplySearchVo tInsuranceUnpurchaseApply);

}
