package com.yifu.cloud.plus.v1.yifu.insurances.service.insurance;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.yifu.cloud.plus.v1.yifu.common.core.util.R;
import com.yifu.cloud.plus.v1.yifu.insurances.entity.TInsuranceUnpurchaseApply;
import com.yifu.cloud.plus.v1.yifu.insurances.vo.TInsuranceUnpurchaseApplySearchVo;

import javax.servlet.http.HttpServletResponse;

/**
 * 含风险项目不购买申请表
 *
 * @author huych
 * @date 2025-01-10 11:24:38
 */
public interface TInsuranceUnpurchaseApplyService extends IService<TInsuranceUnpurchaseApply> {
    /**
     * 含风险项目不购买申请表简单分页查询
     * @param tInsuranceUnpurchaseApply 含风险项目不购买申请表
     * @return
     */
    IPage<TInsuranceUnpurchaseApply> getTInsuranceUnpurchaseApplyPage(Page<TInsuranceUnpurchaseApply> page, TInsuranceUnpurchaseApplySearchVo tInsuranceUnpurchaseApply);

	R deleteById(String id);

	void listExport(HttpServletResponse response, TInsuranceUnpurchaseApplySearchVo searchVo);


}
